Bug 463754 - buglist.cgi is producing error related to cookies and usenames
buglist.cgi is producing error related to cookies and usenames
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 11:03 EDT by Noura El hawary
Modified: 2013-06-24 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 01:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noura El hawary 2008-09-24 11:03:50 EDT
few users have reported errors similar to the following:

I tried a simple search for "f-spot ndesk" and got an internal error
page asking me to send it to this address:

URL: https://bugzilla.redhat.com/buglist.cgi?quicksearch=f-spot+ndesk

error was as the following:

The custom sort order specified in your cookie contains an invalid column name map_assigned_to.realname. The cookie has been cleared.
Comment 1 Noura El hawary 2008-10-02 01:33:56 EDT
hey Dave,

I have tried your suggestion as the following:

Index: buglist.cgi
===================================================================
RCS file: /cvs/qa/rh_bugzilla_3/buglist.cgi,v
retrieving revision 1.23
diff -p -u -r1.23 buglist.cgi
--- buglist.cgi 24 Sep 2008 18:53:38 -0000      1.23
+++ buglist.cgi 2 Oct 2008 05:30:56 -0000
@@ -838,6 +838,9 @@ if ($order) {
             if (!Bugzilla->user->id) {
                 $order =~ s/map_(assigned_to|qa_contact|reporter)\.login_name/map_$1\.realname/;
             }
+            else {
+               $order =~ s/map_(assigned_to|qa_contact|reporter)\.realname/map_$1\.login_name/;
+            }
             # REDHAT EXTENSION END 447765
 
             # A custom list of columns.  Make sure each column is valid.


and it seemed to work fine for me so i committed to cvs the above patch.

Thanks,
Noura

Note You need to log in before you can comment on or make changes to this bug.